
//Titel:        Bestimmen einiger Systemeigenschaften
//Version:
//Copyright:    Copyright (c) 2000
//Autor:       J.M.Joller
//Firma:      (C) J.M.Joller
//Beschreibung:  Bestimmen einiger Systemeigenschaften
package GetProperties;

import java.lang.*;
import java.security.*;

class GetProps {

    public static void main(String[] args) {

        /* Tests mit und ohne Security Manager */
        Runtime rt = Runtime.getRuntime();
        rt.traceMethodCalls(true);

        String s;

        try {
            System.out.println("Bestimmen des os.name property Werts");
            s = System.getProperty("os.name", "not specified");
            System.out.println("  Der Namen der Betriebsystems ist: " + s);
        } catch (Exception e) {
            System.err.println("OS Name : Fehler " + e.toString());
        }
        try {
            System.out.println("Bestimmen des java.version property Werts");
            s = System.getProperty("java.version", "not specified");
            System.out.println("  Die Version der JVM ist: " + s);
        } catch (Exception e) {
            System.err.println("Java Version : Fehler " + e.toString());
        }
        try {
            System.out.println("Bestimmen des user.home property Werts");
            s = System.getProperty("user.home", "not specified");
            System.out.println("  Ihr user.home Verzeichnis: " + s);
        } catch (Exception e) {
            System.err.println("user.home : Fehler " + e.toString());
        }

        try {
            System.out.println("Bestimmen des java.home property Werts");
            s = System.getProperty("java.home", "not specified");
            System.out.println("  Ihr java.home JRE Installationsdirectory ist: " + s);
        } catch (Exception e) {
            System.err.println("java.home : Fehler " + e.toString());
        }

    }

}


